diff --git a/ldap/servers/slapd/connection.c b/ldap/servers/slapd/connection.c
index de27d81..14bafa3 100644
--- a/ldap/servers/slapd/connection.c
+++ b/ldap/servers/slapd/connection.c
@@ -250,7 +250,7 @@ connection_reset(Connection* conn, int ns, PRNetAddr * from, int fromLen, int is
     char *str_unknown = "unknown";
     int in_referral_mode = config_check_referral_mode();
 
-    LDAPDebug( LDAP_DEBUG_CONNS, "new %sconnection on %d\n", pTmp, conn->c_sd, 0 );
+    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG, "new %sconnection on %d\n", pTmp, conn->c_sd, 0 );
 
     /* bump our count of connections and update SNMP stats */
     conn->c_connid = slapi_counter_increment(num_conns);
@@ -431,7 +431,7 @@ init_op_threads()
 
 	if ((work_q_lock = PR_NewLock()) == NULL ) {
 		errorCode = PR_GetError();
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"init_op_threads: PR_NewLock failed for work_q_lock, " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
 			errorCode, slapd_pr_strerror(errorCode), 0 );
 		exit(-1);
@@ -439,7 +439,7 @@ init_op_threads()
 
 	if ((work_q_cv = PR_NewCondVar( work_q_lock )) == NULL) {
 		errorCode = PR_GetError();
-		LDAPDebug( LDAP_DEBUG_ANY, "init_op_threads: PR_NewCondVar failed for work_q_cv, " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "init_op_threads: PR_NewCondVar failed for work_q_cv, " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
 			errorCode, slapd_pr_strerror(errorCode), 0 );
 		exit(-1);
 	}
@@ -458,7 +458,7 @@ init_op_threads()
 		                     SLAPD_DEFAULT_THREAD_STACKSIZE ) == NULL )
 		{
 			int prerr = PR_GetError();
-			LDAPDebug( LDAP_DEBUG_ANY, "PR_CreateThread failed, " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "PR_CreateThread failed, " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
 				prerr, slapd_pr_strerror( prerr ), 0 );
 		} else {
 			g_incr_active_threadcnt();
@@ -643,7 +643,7 @@ connection_dispatch_operation(Connection *conn, Operation *op, Slapi_PBlock *pb)
 			int i = 1;
 			int ret = setsockopt(conn->c_sd,IPPROTO_TCP,TCP_CORK,&i,sizeof(i));
 			if (ret < 0) {
-				LDAPDebug(LDAP_DEBUG_ANY, "Failed to set TCP_CORK on connection %" NSPRIu64 "\n",conn->c_connid, 0, 0);
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to set TCP_CORK on connection %" NSPRIu64 "\n",conn->c_connid, 0, 0);
 			}
 			pop_cork = 1;
 		}
@@ -656,7 +656,7 @@ connection_dispatch_operation(Connection *conn, Operation *op, Slapi_PBlock *pb)
 			int i = 0;
 			int ret = setsockopt(conn->c_sd,IPPROTO_TCP,TCP_CORK,&i,sizeof(i));
 			if (ret < 0) {
-				LDAPDebug(LDAP_DEBUG_ANY, "Failed to clear TCP_CORK on connection %" NSPRIu64 "\n",conn->c_connid, 0, 0);
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to clear TCP_CORK on connection %" NSPRIu64 "\n",conn->c_connid, 0, 0);
 			}
 		}
 #endif
@@ -681,7 +681,7 @@ connection_dispatch_operation(Connection *conn, Operation *op, Slapi_PBlock *pb)
 		break;
 
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ignoring unknown LDAP request (conn=%" NSPRIu64 ", tag=0x%lx)\n",
 		    conn->c_connid, op->o_tag, 0 );
 		break;
@@ -1061,7 +1061,7 @@ get_next_from_buffer( void *buffer, size_t buffer_size, ber_len_t *lenp,
 		}
 		syserr = errno;
 		/* Bad stuff happened, like the client sent us some junk */
-		LDAPDebug( LDAP_DEBUG_CONNS,
+		LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 			"ber_get_next failed for connection %" NSPRIu64 "\n", conn->c_connid, 0, 0 );
 		/* reset private buffer */
 		conn->c_private->c_buffer_bytes = conn->c_private->c_buffer_offset = 0;
@@ -1223,7 +1223,7 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 					} else {
 						/* Otherwise we loop, unless we exceeded the ioblock timeout */
 						if (waits_done > ioblocktimeout_waits) {
-							LDAPDebug( LDAP_DEBUG_CONNS,"ioblock timeout expired on connection %" NSPRIu64 "\n", conn->c_connid, 0, 0 );
+							LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"ioblock timeout expired on connection %" NSPRIu64 "\n", conn->c_connid, 0, 0 );
 							disconnect_server_nomutex( conn, conn->c_connid, -1,
 									SLAPD_DISCONNECT_IO_TIMEOUT, 0 );
 							ret = CONN_DONE;
@@ -1243,19 +1243,19 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 					/* PR_Poll call failed */
 					err = PR_GetError();
 					syserr = PR_GetOSError();
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						"PR_Poll for connection %" NSPRIu64 " returns %d (%s)\n", conn->c_connid, err, slapd_pr_strerror( err ) );
 					/* If this happens we should close the connection */
 					disconnect_server_nomutex( conn, conn->c_connid, -1, err, syserr );
 					ret = CONN_DONE;
 					goto done;
 				}
-				LDAPDebug( LDAP_DEBUG_CONNS,
+				LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 					   "connection %" NSPRIu64 " waited %d times for read to be ready\n", conn->c_connid, waits_done, 0 );
 			} else {
 				/* Some other error, typically meaning bad stuff */
 					syserr = PR_GetOSError();
-					LDAPDebug( LDAP_DEBUG_CONNS,
+					LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 						"PR_Recv for connection %" NSPRIu64 " returns %d (%s)\n", conn->c_connid, err, slapd_pr_strerror( err ) );
 					/* If this happens we should close the connection */
 					disconnect_server_nomutex( conn, conn->c_connid, -1, err, syserr );
@@ -1276,7 +1276,7 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 					goto done;
 				}
 			}
-			LDAPDebug( LDAP_DEBUG_CONNS,
+			LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 				   "connection %" NSPRIu64 " read %d bytes\n", conn->c_connid, ret, 0 );
 
 			new_operation = 0;
@@ -1297,7 +1297,7 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 		/*
 		 * We received a non-LDAP message.  Log and close connection.
 		 */
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"conn=%" NSPRIu64 " received a non-LDAP message (tag 0x%lx, expected 0x%lx)\n",
 			conn->c_connid, *tag, LDAP_TAG_MESSAGE );
 		disconnect_server_nomutex( conn, conn->c_connid, -1,
@@ -1309,7 +1309,7 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 	if ( (*tag = ber_get_int( op->o_ber, &msgid ))
 		!= LDAP_TAG_MSGID ) {
 		/* log, close and send error */
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"conn=%" NSPRIu64 " unable to read tag for incoming request\n", conn->c_connid, 0, 0 );
 		disconnect_server_nomutex( conn, conn->c_connid, -1, SLAPD_DISCONNECT_BAD_BER_TAG, EPROTO );
 		ret = CONN_DONE;
@@ -1327,7 +1327,7 @@ int connection_read_operation(Connection *conn, Operation *op, ber_tag_t *tag, i
 	  case LBER_ERROR:
 	  case LDAP_TAG_LDAPDN: /* optional username, for CLDAP */
 		/* log, close and send error */
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"conn=%" NSPRIu64 " ber_peek_tag returns 0x%lx\n", conn->c_connid, *tag, 0 );
 		disconnect_server_nomutex( conn, conn->c_connid, -1, SLAPD_DISCONNECT_BER_PEEK, EPROTO );
 		ret = CONN_DONE;
@@ -1379,7 +1379,7 @@ void connection_check_activity_level(Connection *conn)
 	/* update the last checked time */
 	conn->c_private->previous_count_check_time = current_time();
 	PR_ExitMonitor(conn->c_mutex);
-	LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " activity level = %d\n",conn->c_connid,delta_count,0); 
+	LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " activity level = %d\n",conn->c_connid,delta_count,0); 
 }
 
 typedef struct table_iterate_info_struct {
@@ -1440,7 +1440,7 @@ void connection_enter_leave_turbo(Connection *conn, int current_turbo_flag, int
 	} else {
 	  double activet = 0.0;
 	  connection_find_our_rank(conn,&connection_count, &our_rank);
-	  LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " turbo rank = %d out of %d conns\n",conn->c_connid,our_rank,connection_count); 
+	  LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " turbo rank = %d out of %d conns\n",conn->c_connid,our_rank,connection_count); 
 	  activet = (double)g_get_active_threadcnt();
 	  threshold_rank = (int)(activet * ((double)CONN_TURBO_PERCENTILE / 100.0));
 
@@ -1481,9 +1481,9 @@ void connection_enter_leave_turbo(Connection *conn, int current_turbo_flag, int
 	PR_ExitMonitor(conn->c_mutex);
 	if (current_mode != new_mode) {
 		if (current_mode) {
-			LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " leaving turbo mode\n",conn->c_connid,0,0); 
+			LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " leaving turbo mode\n",conn->c_connid,0,0); 
 		} else {
-			LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " entering turbo mode\n",conn->c_connid,0,0); 
+			LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " entering turbo mode\n",conn->c_connid,0,0); 
 		}
 	}
 	*new_turbo_flag = new_mode;
@@ -1523,7 +1523,7 @@ connection_threadmain()
 		time_t curtime = 0;
 		
 		if( op_shutdown ) {
-			LDAPDebug( LDAP_DEBUG_TRACE, 
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 			"op_thread received shutdown signal\n",	0, 0, 0 );
 			g_decr_active_threadcnt();
 			return;
@@ -1540,7 +1540,7 @@ connection_threadmain()
 					PR_ASSERT(interval != PR_INTERVAL_NO_TIMEOUT); /* this should never happen with PR_INTERVAL_NO_TIMEOUT */
 					continue;
 				case CONN_SHUTDOWN:
-					LDAPDebug( LDAP_DEBUG_TRACE, 
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 					"op_thread received shutdown signal\n", 0, 0, 0 );
 					g_decr_active_threadcnt();
 					return;
@@ -1661,11 +1661,11 @@ connection_threadmain()
 				 * should call connection_make_readable after the op is removed
 				 * connection_make_readable(conn);
 				 */
-				LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " leaving turbo mode due to %d\n",
+				LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " leaving turbo mode due to %d\n",
 				          conn->c_connid,ret,0);
 				goto done;
 			case CONN_SHUTDOWN:
-				LDAPDebug( LDAP_DEBUG_TRACE, 
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, 
 				"op_thread received shutdown signal\n", 0, 0, 0 );
 				g_decr_active_threadcnt();
 				doshutdown = 1;
@@ -1718,7 +1718,7 @@ connection_threadmain()
 					 */
 					conn->c_idlesince = curtime;
 					connection_activity(conn, maxthreads);
-					LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " queued because more_data\n",
+					LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " queued because more_data\n",
 					          conn->c_connid,0,0);
 				} else {
 					/* keep count of how many times maxthreads has blocked an operation */
@@ -1744,7 +1744,7 @@ connection_threadmain()
 		if (conn->c_flags & CONN_FLAG_IMPORT) {
 			if ((tag != LDAP_REQ_ADD) && (tag != LDAP_REQ_EXTENDED)) {
 				/* no cookie for you. */
-				LDAPDebug(LDAP_DEBUG_ANY, "Attempted operation %d "
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Attempted operation %d "
 						  "from within bulk import\n",
 						  tag, 0, 0);
 				slapi_send_ldap_result(pb, LDAP_PROTOCOL_ERROR, NULL,
@@ -1801,7 +1801,7 @@ done:
 			/* If we're in turbo mode, we keep our reference to the connection alive */
 			/* can't use the more_data var because connection could have changed in another thread */
 			more_data = conn_buffered_data_avail_nolock(conn, &conn_closed) ? 1 : 0;
-			LDAPDebug(LDAP_DEBUG_CONNS,"conn %" NSPRIu64 " check more_data %d thread_turbo_flag %d\n",
+			LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"conn %" NSPRIu64 " check more_data %d thread_turbo_flag %d\n",
 			          conn->c_connid,more_data,thread_turbo_flag);
 			if (!more_data) {
 				if (!thread_turbo_flag) {
@@ -1849,7 +1849,7 @@ connection_activity(Connection *conn, int maxthreads)
 	struct Slapi_op_stack *op_stack_obj;
 
 	if (connection_acquire_nolock (conn) == -1) {
-		LDAPDebug(LDAP_DEBUG_CONNS,
+		LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 		          "could not acquire lock in connection_activity as conn %" NSPRIu64 " closing fd=%d\n",
 		          conn->c_connid,conn->c_sd,0);
 		/* XXX how to handle this error? */
@@ -1889,7 +1889,7 @@ add_work_q( work_q_item *wqitem, struct Slapi_op_stack *op_stack_obj )
 {
 	struct Slapi_work_q	*new_work_q=NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "add_work_q \n", 0,  0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "add_work_q \n", 0,  0, 0 );
 
 	new_work_q = create_work_q();
 	new_work_q->work_item = wqitem;
@@ -1953,7 +1953,7 @@ get_work_q(struct Slapi_op_stack **op_stack_obj)
 void
 op_thread_cleanup()
 {
-	LDAPDebug( LDAP_DEBUG_ANY,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		   "slapd shutting down - signaling operation threads - op stack size %d max work q size %d max work q stack size %d\n",
 		   op_stack_size, work_q_size_max, work_q_stack_size_max);
 
@@ -2033,7 +2033,7 @@ connection_remove_operation( Connection *conn, Operation *op )
 
 	if ( *tmp == NULL )
 	{
-		LDAPDebug( LDAP_DEBUG_ANY, "connection_remove_operation: can't find op %d for conn %" NSPRIu64 "\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "connection_remove_operation: can't find op %d for conn %" NSPRIu64 "\n",
 		    (int)op->o_msgid, conn->c_connid, 0 );
 	}
 	else
@@ -2211,7 +2211,7 @@ disconnect_server_nomutex_ext( Connection *conn, PRUint64 opconnid, int opid, PR
     if ( ( conn->c_sd != SLAPD_INVALID_SOCKET &&
 	    conn->c_connid == opconnid ) && !(conn->c_flags & CONN_FLAG_CLOSING) )
 	{
-		LDAPDebug(LDAP_DEBUG_CONNS, "setting conn %" NSPRIu64 " fd=%d "
+		LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG, "setting conn %" NSPRIu64 " fd=%d "
 			  "to be disconnected: reason %d\n", conn->c_connid, conn->c_sd, reason);
 		/*
 		 * PR_Close must be called before anything else is done because
diff --git a/ldap/servers/slapd/conntable.c b/ldap/servers/slapd/conntable.c
index b5cd47a..15ca71c 100644
--- a/ldap/servers/slapd/conntable.c
+++ b/ldap/servers/slapd/conntable.c
@@ -146,7 +146,7 @@ connection_table_get_connection(Connection_Table *ct, int sd)
 			{
 				c->c_mutex = NULL;
 				c->c_pdumutex = NULL;
-				LDAPDebug( LDAP_DEBUG_ANY,"PR_NewLock failed\n",0, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"PR_NewLock failed\n",0, 0, 0 );
 				exit(1);
 			}
 		}
@@ -164,7 +164,7 @@ connection_table_get_connection(Connection_Table *ct, int sd)
     else
     {
         /* couldn't find a Connection */
-        LDAPDebug( LDAP_DEBUG_CONNS, "max open connections reached\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG, "max open connections reached\n", 0, 0, 0);
     }
 	return c;
 }
@@ -473,7 +473,7 @@ connection_table_dump_activity_to_errors_log(Connection_Table *ct)
 				int r = ct->fd[j].out_flags & SLAPD_POLL_FLAGS;
 				if ( r )
 				{
-					LDAPDebug( LDAP_DEBUG_CONNS,"activity on %d%s\n", i, r ? "r" : "",0 );
+					LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,"activity on %d%s\n", i, r ? "r" : "",0 );
 				}
 			}
 			PR_ExitMonitor(c->c_mutex);
diff --git a/ldap/servers/slapd/control.c b/ldap/servers/slapd/control.c
index 79a639d..dd435ba 100644
--- a/ldap/servers/slapd/control.c
+++ b/ldap/servers/slapd/control.c
@@ -197,10 +197,10 @@ get_ldapmessage_controls_ext(
 	 *	}
 	 */
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> get_ldapmessage_controls\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> get_ldapmessage_controls\n", 0, 0, 0 );
 
 	if (!pb) {
-		LDAPDebug( LDAP_DEBUG_ANY, "<= get_ldapmessage_controls NULL PBlock\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "<= get_ldapmessage_controls NULL PBlock\n", 0, 0, 0 );
 		return( LDAP_OPERATIONS_ERROR );	/* unexpected error */
 	}
 
@@ -215,19 +215,19 @@ get_ldapmessage_controls_ext(
          * check to see if controls were included
 	 */
 	if ( ber_get_option( ber, LBER_OPT_REMAINING_BYTES, &len ) != 0 ) {
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "<= get_ldapmessage_controls LDAP_OPERATIONS_ERROR\n",
 		    0, 0, 0 );
 		return( LDAP_OPERATIONS_ERROR );	/* unexpected error */
 	}
 	if ( len == 0 ) {
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "<= get_ldapmessage_controls no controls\n", 0, 0, 0 );
 		return( LDAP_SUCCESS );			/* no controls */
 	}
 	if (( tag = ber_peek_tag( ber, &len )) != LDAP_TAG_CONTROLS ) {
 		if ( tag == LBER_ERROR ) {
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "<= get_ldapmessage_controls LDAP_PROTOCOL_ERROR\n",
 			    0, 0, 0 );
 			return( LDAP_PROTOCOL_ERROR );	/* decoding error */
@@ -237,7 +237,7 @@ get_ldapmessage_controls_ext(
 		 * happen in LDAPv3, but we don't treat this is a hard error --
 		 * we just ignore the extra stuff.
 		 */
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "<= get_ldapmessage_controls ignoring unrecognized data in request (tag 0x%x)\n",
 		    tag, 0, 0 );
 		return( LDAP_SUCCESS );
@@ -376,13 +376,13 @@ get_ldapmessage_controls_ext(
 	}
 #endif /* SLAPD_ECHO_CONTROL */
 
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 	    "<= get_ldapmessage_controls %d controls\n", curcontrols, 0, 0 );
 	return( LDAP_SUCCESS );
 
 free_and_return:;
 	ldap_controls_free( ctrls );
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 	    "<= get_ldapmessage_controls %i\n", rc, 0, 0 );
 	return( rc );
 }
@@ -402,7 +402,7 @@ slapi_control_present( LDAPControl **controls, char *oid, struct berval **val, i
 {
 	int	i;
 
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 	    "=> slapi_control_present (looking for %s)\n", oid, 0, 0 );
 
 	if ( val != NULL ) {
@@ -410,7 +410,7 @@ slapi_control_present( LDAPControl **controls, char *oid, struct berval **val, i
 	}
 
 	if ( controls == NULL ) {
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "<= slapi_control_present 0 (NO CONTROLS)\n", 0, 0, 0 );
 		return( 0 );
 	}
@@ -423,13 +423,13 @@ slapi_control_present( LDAPControl **controls, char *oid, struct berval **val, i
 					*iscritical = (int) controls[i]->ldctl_iscritical;
 				}
 			}
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "<= slapi_control_present 1 (FOUND)\n", 0, 0, 0 );
 			return( 1 );
 		}
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 	    "<= slapi_control_present 0 (NOT FOUND)\n", 0, 0, 0 );
 	return( 0 );
 }
diff --git a/ldap/servers/slapd/counters.c b/ldap/servers/slapd/counters.c
index 1d4ac89..1aa3390 100644
--- a/ldap/servers/slapd/counters.c
+++ b/ldap/servers/slapd/counters.c
@@ -146,13 +146,13 @@ counters_to_errors_log(const char *text)
 #if defined(DEBUG)
 	int i;
 	fetch_counters();
-	LDAPDebug( LDAP_DEBUG_ANY, "Counter Dump - %s\n",text, 0, 0);
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Counter Dump - %s\n",text, 0, 0);
 	for(i=0;i<num_counters;i++)
 	{
 		char value[40];
 		char *type= (char*)malloc(counter_size(&counters[i])+4);
 		counter_dump(type,value,i);
-		LDAPDebug( LDAP_DEBUG_ANY, "%s %s\n",type, value, 0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s %s\n",type, value, 0);
 		free(type);
 	}
 #endif
